commit:     951c8d2e2e1fd00a36995a697052d98e696d3686
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun Oct  3 18:12:41 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sun Oct  3 18:32:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=951c8d2e

dev-python/os-brick: new version

Closes: https://bugs.gentoo.org/800419
Closes: https://bugs.gentoo.org/800422
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/os-brick/Manifest                 |  2 +-
 dev-python/os-brick/os-brick-4.0.1-r1.ebuild | 39 -------------------
 dev-python/os-brick/os-brick-5.0.1.ebuild    | 58 ++++++++++++++++++++++++++++
 3 files changed, 59 insertions(+), 40 deletions(-)

diff --git a/dev-python/os-brick/Manifest b/dev-python/os-brick/Manifest
index 3c84b83f8..9c1bb63c7 100644
--- a/dev-python/os-brick/Manifest
+++ b/dev-python/os-brick/Manifest
@@ -1 +1 @@
-DIST os-brick-4.0.1.tar.gz 192821 BLAKE2B 
da1037e33288a3a20c6858b8620c5905c9a1d218ab858659bce844445d6b33a9b9c629df21eab68419e755bddebc43bf20afc197eaaf4a29dcd7365d19b27b0b
 SHA512 
7847cae82e1ef726eb1189d93f13325d57abdb52286887d6b55e256d9a9f62b0afe71580c5ff30008f5827ba76cac8e423ee5da0d2d01f5794fa3556a6c2cc64
+DIST os-brick-5.0.1.tar.gz 216084 BLAKE2B 
d37d57ff9fd652e1711bf428b2e772501fa70397100c7f97f434a08785a2e1a2dcccbe7c260d3e98eed5406a33c83f97f49a6ace188d546882780ebca507d389
 SHA512 
b324c6bef9095833d8ae3a22c6bf695b325b7835d68f91e4aaff00121ae8615a62091a631145fe750743b9d9818f2cec0b810a50e85203cfc3125b07248616b9

diff --git a/dev-python/os-brick/os-brick-4.0.1-r1.ebuild 
b/dev-python/os-brick/os-brick-4.0.1-r1.ebuild
deleted file mode 100644
index c2cf96c11..000000000
--- a/dev-python/os-brick/os-brick-4.0.1-r1.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_8 )
-
-inherit distutils-r1
-
-DESCRIPTION="OpenStack Cinder brick library for managing local volume attaches"
-HOMEPAGE="https://github.com/openstack/cinder";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-DEPEND=">=dev-python/pbr-5.4.1[${PYTHON_USEDEP}]"
-RDEPEND="
-       >=dev-python/pbr-5.4.1[${PYTHON_USEDEP}]
-       >=dev-python/eventlet-0.15.1[${PYTHON_USEDEP}]
-       >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-context-2.23.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-log-3.44.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-i18n-3.24.3.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-privsep-1.32.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-serialization-2.23.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-service-1.24.0[${PYTHON_USEDEP}]
-       !~dev-python/oslo-service-1.28.1[${PYTHON_USEDEP}]
-       >=dev-python/oslo-utils-3.34.0[${PYTHON_USEDEP}]
-       >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
-       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
-       >=dev-python/tenacity-6.0.0[${PYTHON_USEDEP}]
-       >=dev-python/os-win-3.0.0[${PYTHON_USEDEP}]
-"
-
-python_prepare_all() {
-       sed -i -e 's/\tetc/\t\/etc/g' setup.cfg || die
-       distutils-r1_python_prepare_all
-}

diff --git a/dev-python/os-brick/os-brick-5.0.1.ebuild 
b/dev-python/os-brick/os-brick-5.0.1.ebuild
new file mode 100644
index 000000000..d61d10a50
--- /dev/null
+++ b/dev-python/os-brick/os-brick-5.0.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_8 )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack Cinder brick library for managing local volume attaches"
+HOMEPAGE="
+       https://opendev.org/openstack/os-brick
+       https://launchpad.net/os-brick
+       https://pypi.org/project/os-brick
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       >=dev-python/pbr-5.5.1[${PYTHON_USEDEP}]
+       >=dev-python/eventlet-0.30.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-concurrency-4.4.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-context-3.1.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-log-4.4.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-5.0.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-privsep-2.4.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-serialization-4.1.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-service-2.5.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-4.8.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.25.1[${PYTHON_USEDEP}]
+       >=dev-python/tenacity-6.3.1[${PYTHON_USEDEP}]
+       >=dev-python/os-win-5.4.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               >=dev-python/hacking-4.0.0[${PYTHON_USEDEP}]
+               >=dev-python/ddt-1.4.1[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-4.4.1[${PYTHON_USEDEP}]
+               >=dev-python/testscenarios-0.5.0[${PYTHON_USEDEP}]
+               >=dev-python/testtools-2.4.0[${PYTHON_USEDEP}]
+               >=dev-python/stestr-2.0.0[${PYTHON_USEDEP}]
+               >=dev-python/oslo-vmware-3.8.0[${PYTHON_USEDEP}]
+               >=dev-python/castellan-3.7.0[${PYTHON_USEDEP}]
+               >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/bandit-1.6.0[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -i -e 's/\tetc/\t\/etc/g' setup.cfg || die
+       distutils-r1_python_prepare_all
+}

Reply via email to